package model

import androidx.compose.material3.darkColorScheme
import androidx.compose.material3.lightColorScheme
import androidx.compose.ui.graphics.Color
import recipeappkmp.shared.generated.resources.Chicken_And_Waffles
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._05_macaroons

val americanList = listOf(
    Recipe(
        id = 8,
        title = "Chicken & Waffles",
        description = "Southern Fried Chicken served on a buttermilk waffle, drenched in a hot a butter.",
        ingredients = listOf(
            "2 cups (480 mL) buttermilk",
            "1 tablespoon kosher salt",
            "½ tablespoon garlic powder",
            "½ tablespoon onion powder",
            "1 tablespoon hot sauce or chili powder",
            "1 teaspoon smoked paprika",
            "3 cups (384 g) all-purpose flour",
            "⅓ cup (43 g) cornstarch",
            "2 teaspoon baking powder",
            "2 teaspoon garlic powder",
            "2 teaspoon onion powder",
            "2 teaspoon kosher salt",
            "2 teaspoon freshly cracked black pepper",
            "¼ cup (85 g) honey",
            "½ teaspoon chili powder",
            "4 tablespoon (57 g) unsalted butter",
            "½ teaspoon kosher salt",
        ),
        instructions = listOf(
            "Whisk the buttermilk or soured milk, kosher salt, garlic powder, onion powder, hot sauce, and smoked paprika together in a large mixing bowl.",
            "Add the boneless, skinless chicken thigh to the bowl, making sure every thigh is covered in the brine. Cover the bowl with plastic wrap and let the chicken marinate in the buttermilk brine from 1 hour to overnight in the fridge.",
            "In a dutch oven pot, heat up about half the pot's worth of vegetable oil. Allow the oil to reach 350 degrees F (180 degrees C/ 160 degrees C if using a fan-forced oven).",
            "While the oil is heating up, in a mixing bowl whisk together flour, cornstarch, baking powder, and seasonings. Take each chicken thigh from the brine and dredge into the seasoned flour. Thoroughly coat the chicken all over, then let rest on a plate for five minutes before frying.",
            "Fry the chicken in the hot oil (no more than about 4 thighs per batch) until golden brown, crispy, and cooked through completely, about 8-9 minutes.",
            "Carefully take the chicken out of the oil and place them on a baking sheet fitted with a wire rack and let cool slightly before serving. Repeat until all the chicken thighs are fried.",
            "Make the Belgian Waffles and serve the chicken on top of the waffles, then drizzle generously with spicy honey butter sauce or maple syrup.",
            "In a small saucepan, melt butter over medium heat with honey, chili powder, and kosher salt. Whisk well until the mixture is incorporated and homogenized.",
            "Lower the temperature to 'warm/low' heat and keep for serving. [Make sure to keep warm, as sauce will solidify very quickly]",
            ),
        tags = mapOf(
                "American" to TagType.CUISINE,
                "Entree" to TagType.COURSE,
                "Spicy" to TagType.FLAVOUR,
                "Fried" to TagType.TECHNIQUE
        ),
        image = Res.drawable.Chicken_And_Waffles,
        bgImage = null,
        bgImageLarge = null,
        bgColor = lightColorScheme().primary
    )
)